Bug 188988 - LowPerformance took 27856 ms.
LowPerformance took 27856 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: JAX-WS
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 13:33 UTC by Exceptions Reporter
Modified: 2010-11-02 04:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (60.33 KB, application/nps)
2010-07-27 13:33 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-07-27 13:33:39 UTC
Build: NetBeans IDE 6.9 (Build 201006101454)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Linux

User Comments:
GUEST: Restarting Netbeans, had Webservice project to reopen.



Maximum slowness yet reported was 27856 ms, average is 26625
Comment 1 Exceptions Reporter 2010-07-27 13:33:46 UTC
Created attachment 101048 [details]
nps snapshot
Comment 2 Denis Anisimov 2010-11-01 07:57:20 UTC
Method updateKeys() ( which is called from addNotify() of JaxWsChildren class )
puts time consuming task ( Java infrastructure request ) into the AWT thread via
method invokeLater().
This task should be called in the separate Thread ( not AWT ).
Comment 3 Denis Anisimov 2010-11-01 08:17:55 UTC
changeset:   180781:43d3e6c20d5e
user:        Denis Anisimov <ads@netbeans.org>
date:        Mon Nov 01 11:15:57 2010 +0300
summary:     Fix for BZ#188988 -  LowPerformance took 27856 ms.
Comment 4 Quality Engineering 2010-11-02 04:01:02 UTC
Integrated into 'main-golden', will be available in build *201011020000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/43d3e6c20d5e
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#188988 -  LowPerformance took 27856 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo